Remove a linked account
curl --request DELETE \
--url https://api.ofauth.com/v3/linked-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ofauth.com/v3/linked-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ofauth.com/v3/linked-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/linked-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/linked-accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.ofauth.com/v3/linked-accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/linked-accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}Linked accounts
Remove a linked account
Removes this authorization’s access to one linked account. The account itself and other apps’ access are unaffected. Repeating the call succeeds.
DELETE
/
v3
/
linked-accounts
/
{id}
Remove a linked account
curl --request DELETE \
--url https://api.ofauth.com/v3/linked-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ofauth.com/v3/linked-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ofauth.com/v3/linked-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/linked-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/linked-accounts/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.ofauth.com/v3/linked-accounts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/linked-accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}{
"error": "invalid_token",
"requestId": "4f5c3f0e-8d7c-4ff5-9b7f-7d0d9e7c2a61",
"recovery": {
"action": "obtain_external_oauth_token"
},
"message": "<string>",
"details": "<string>",
"not_allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
},
"allowed_qualities": {
"image_qualities": [
"thumb"
],
"video_qualities": [
"preview"
]
}
}Was this page helpful?